EDIT - bug #7358

Show warning when browser history back is used while popup editors are open

04/20/2018 03:43 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

Utilizing the browser history back function can lead to a lot of confusing when the popup windows are open at the same time.

The NavigationManagerBean should check for open popups in the current view. In case open popups are found a warning dialog

should be shown. Which offers the following options:

e Cancel
¢ Close all popups and leave current view

Test for the dialog: "You are about to leave the current view while poup editors are open. You you wish to close all open editors in

order to proceed?"

There is a ticket in the vaadin issue tracker related to this:

e https://qgithub.com/vaadin/framework/issues/4555
e https://qgithub.com/vaadin/framework/issues/4794

Associated revisions

Revision 26e06877 - 07/24/2018 06:05 PM - Andreas Kohlbecker

fix #7358 stopping navigation and showing dialog when modal dialogs are open

History

#1 - 06/28/2018 08:04 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#2 - 07/24/2018 06:05 PM - Andreas Kohlbecker

- Description updated

#3 - 07/24/2018 06:05 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|26e068777f74a5d5f07ac19a4ce727eecc16093d.

#4 - 07/24/2018 06:06 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
